<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Store :: Journal</name>
    <id>activemq-store-journal</id>
    <shortDescription>Journal message persistence implementation</shortDescription>
    <description>Journal message persistence implementation</description>
  
    <package>org.codehaus.activemq.store.journal</package>
    <packageGroups>
      <packageGroup>
        <title>Journal strategies, implementations and adapters</title>
        <packages>org.codehaus.activemq.journal:org.codehaus.activemq.journal.*</packages>
      </packageGroup>    
    </packageGroups>
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>
    
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
	  <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>
      
      <dependency>
        <groupId>howl</groupId>
        <artifactId>howl-logger</artifactId>
        <url>http://forge.objectweb.org/projects/howl</url>
      </dependency>

      <!-- TODO: eliminate the dependency on jdbm from this module -->
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-store-jdbm</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      <dependency>
        <groupId>jdbm</groupId>
        <artifactId>jdbm</artifactId>

      </dependency>

                  
    </dependencies>  

</project>
